# API Constants & Schemas

## Constants

Here are the constants referenced in the API documentation and their information.

| Constant | Description                                                                                                                                                                                                     | Value(s)                                                                                                                                               |
| -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| format   | The format of debate to use.                                                                                                                                                                                    | <ol><li><code>PF</code> (Public Forum)</li><li><code>LD</code> (Lincoln Douglas)</li><li><code>CX</code> (Policy)</li></ol>                            |
| circuit  | The circuit of tournaments to use.                                                                                                                                                                              | <p><strong>Circuits for PF:</strong></p><ol><li><code>National</code></li></ol>                                                                        |
| year     | The school year (SY) to use. Formatted as `SY_SS_EE` where `SS` is the last 2 digits of the starting year and `EE` is the last 2 digits of the ending year. `EE` must equal `SS` + 1 (1 school year at a time). | <p><strong>Public Forum:</strong></p><p></p><p><em>National Circuit:</em></p><ol><li><code>SY\_20\_21</code></li><li><code>SY\_21\_22</code></li></ol> |

## Schemas

### Team

```json5
{
    "id": <(String) team id>,
    "codes": [<(String team code>...],
    "otrScore": <(Float) team OTR Score>,
    "goldBids": <(Int) number of gold bids>,
    "silverBids": <(Int) number of silver bids>,
    "prelimRecord": [
        <(Int) overall number of prelim wins>,
        <(Int) overall number of prelim losses>
    ],
    "breakRecord": [
        <(Int) overall number of elim wins>,
        <(Int) overall number of elim losses>
    ],
    "breakPCT": <(Float) decimal percent of tournaments with elim runs>,
    "tournaments": [<(Tournament)>...]
}
```

### Tournament

```json
{
    "tournamentComp": <(Float) OTR tournament comp>,
    "fullNames": <(String) full names as on Tabroom entry>,
    "lastNames": [
        <(String) one of two last names as on Tabroom entry>,
        <(String) one of two last names as on Tabroom entry>
    ],
    "prelimRecord": [
        <(Int) number of prelim wins at this tournament>,
        <(Int) number of prelim losses at this tournament>
    ],
    "breakRecord": [
        <(Int) number of elim wins at this tournament>,
        <(Int) number of elim losses at this tournament>
    ],
    "eliminated": [
        <(Int) number of ballots won in final round>,
        <(Int) number of ballots lost in final round>,
        <(String) final round name as on Tabroom>,
        <(String) final round name standardized>
    ],
    "speaks": [
        {
            "name": <(String) speaker name>,
            "rawAVG": <(String) raw speaker point mean as on Tabroom>,
            "adjAVG": <(String) adjusted [IQR = 2] speaker point mean>,
        },
        {
            "name": <(String) speaker name>,
            "rawAVG": <(String) raw speaker point mean as on Tabroom>,
            "adjAVG": <(String) adjusted [IQR = 2] speaker point mean>,
        },
    ],
    "goldBid": <(Boolean) whether or not a gold bid was earned>,
    "silverBid": <(Boolean) whether or not a silver bid was earned>,
    "breakBoost": <(Int) number of break rounds won + 1>,
    "breakBoost": <(Int) tournament difficulty booost factor>,
    "OPwpm": <(Float) mean opponent number of rounds won>,
    "name": <(String) the name of the tournament as on Tabroom>
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.debate.land/api-constants-and-schemas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
